path = require 'path'
render = require './render'
parser = require './parser'
getFileList = require './getFileList'

module.exports = coffdoc = (docName, sourceFolder, docFolder) ->

    docObj = {}
    allFileList = getFileList sourceFolder

    docObj.documentName = docName
    docObj.time = (new Date).toLocaleString()
    docObj.allComment = []

    console.log "coffdoc Parsering:"

    for index, filepath of allFileList
        console.log "  #{(parseInt index)+1}/#{allFileList.length}:
                        `#{filepath}`"

        result = parser.parse filepath
        docObj.allComment.push result... if result?

    try
        render.render2md docFolder, docObj
        console.log "Done."
    catch e
        console.error "Error: #{e}"
