fs = require 'fs'
path = require 'path'
swig = require 'swig'
mkdirp = require 'mkdirp'

exports.render2md = (filename, documentationObj) ->

    mdData = swig.renderFile "template/template.md", documentationObj

    basenameHasDot = (path.basename filename).indexOf('.') <= 0
    endNothasSlash = filename[filename.length - 1] is '/'

    if basenameHasDot or endNothasSlash
        filename = path.join filename, 'doc.md'

    mkdirp (path.dirname filename), (err) ->
        if err
            console.error err
        else
            fs.writeFile filename, mdData


# render2html = (documentationObj) ->
#     swig.render htmlTemplate, documentationObj

# render2JSON = (documentationObj) ->
#     fs.writeFile "doc.json", JSON.stringify documentationObj
