# {{ documentName }} Documentation

> **Date**:  *{{ time }}*

---
{% for comment in allComment %}
### `{{ comment.type }}` {{ comment.name }} <small>{{ comment.from }}</small>

{{ comment.directions }}
{% if comment.param? %}
**arguments**{% for i in comment.param %}
`{{ i.type }}` **{{ i.name }}** {{ i.directions }}{% endfor %}
{% endif %}{% if comment.return? %}
**return value**
`{{ comment.return.type }}` {{ comment.return.directions }}
{% endif %}{% if comment.usecases.length? %}
**useCases**{% for usecase in comment.usecases %}
- {{ usecase }}{% endfor %}
{% endif %}
---
{% endfor %}